Package org.drinkless.tdlib

# Class TdApi.PageBlockTable

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PageBlock
org.drinkless.tdlib.TdApi.PageBlockTable

Enclosing class:
  `TdApi`

public static class TdApi.PageBlockTable extends TdApi.PageBlock
A table.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.PageBlock

  `TdApi.PageBlock.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.RichText`
  `caption`
  Table caption.
  `TdApi.PageBlockTableCell[][]`
  `cells`
  Table cells.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isBordered`
  True, if the table is bordered.
  `boolean`
  `isStriped`
  True, if the table is striped.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageBlockTable()`
  A table.
  `PageBlockTable(TdApi.RichText caption, TdApi.PageBlockTableCell[][] cells, boolean isBordered, boolean isStriped)`
  A table.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### caption

    public TdApi.RichText caption
    Table caption.

  - ### cells

    public TdApi.PageBlockTableCell[][] cells
    Table cells.

  - ### isBordered

    public boolean isBordered
    True, if the table is bordered.

  - ### isStriped

    public boolean isStriped
    True, if the table is striped.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PageBlockTable

    public PageBlockTable()
    A table.

  - ### PageBlockTable

    public PageBlockTable(TdApi.RichText caption, TdApi.PageBlockTableCell[][] cells, boolean isBordered, boolean isStriped)
    A table.
    Parameters:
      `caption` - Table caption.
      `cells` - Table cells.
      `isBordered` - True, if the table is bordered.
      `isStriped` - True, if the table is striped.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.PageBlock`
    Returns:
      this.CONSTRUCTOR